Zum Hauptinhalt springen
GET
/
public
/
v1
/
campaign-service
/
sponsored-products
Get Sponsored Products
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/sponsored-products \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "sponsoredProducts": [
    "<string>"
  ],
  "next": {
    "offset": 123,
    "limit": 123
  }
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor to get sponsored products.

offset
integer
Standard:0

The pagination offset.

Erforderlicher Bereich: x >= 0
limit
integer
Standard:100

The pagination limit.

Erforderlicher Bereich: 0 <= x <= 100
fetch_active_products
boolean
Standard:false

Whether to fetch only active products. If false, all products will be fetched even if the campaign or the bid are inactive.

Antwort

Successful Response

Paginated response for sponsored products in a vendor.

hasMore
boolean
erforderlich

Whether this is the last page of results or not.

sponsoredProducts
string[]
erforderlich

List of sponsored product ids.

next
Next · object

The parameters that should be used to fetch the next page.